public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-misc/OilWar/
@ 2016-07-19  0:05 Austin English
  0 siblings, 0 replies; 2+ messages in thread
From: Austin English @ 2016-07-19  0:05 UTC (permalink / raw
  To: gentoo-commits

commit:     fe8ae96aab9938fce8c3e5b155026980ce192ba9
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 00:05:28 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 00:05:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe8ae96a

games-misc/OilWar: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 games-misc/OilWar/OilWar-1.2.1-r2.ebuild | 61 ++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/games-misc/OilWar/OilWar-1.2.1-r2.ebuild b/games-misc/OilWar/OilWar-1.2.1-r2.ebuild
new file mode 100644
index 0000000..62f7000
--- /dev/null
+++ b/games-misc/OilWar/OilWar-1.2.1-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils gnome2-utils user
+
+DESCRIPTION="Evil army is attacking your country and tries to steal your oil"
+HOMEPAGE="http://linux.softpedia.com/get/GAMES-ENTERTAINMENT/RTS/OilWar-15354.shtml"
+SRC_URI="mirror://gentoo/${P}.tar.gz
+	mirror://gentoo/${PN}.png"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl[video]
+	media-libs/sdl-image[png]
+	media-libs/sdl-mixer"
+RDEPEND="${DEPEND}"
+
+pkg_setup(){
+	enewgroup gamestat 36
+}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/^CXXCOMPILE/s:$(CPPFLAGS):$(SDL_CFLAGS):' \
+		-e '/install-data-am:/s:\\::' \
+		-e '/install-data-local$/d' \
+		Makefile.in || die
+}
+
+src_configure() {
+	econf --enable-sound
+}
+
+src_install() {
+	default
+	doicon "${DISTDIR}"/${PN}.png
+	make_desktop_entry oilwar ${PN}
+
+	fowners root:gamestat /usr/bin/oilwar /var/games/oilwar.scores
+	fperms 664 /var/games/oilwar.scores
+	fperms 2755 /usr/bin/oilwar
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-misc/OilWar/
@ 2019-07-17 20:04 James Le Cuirot
  0 siblings, 0 replies; 2+ messages in thread
From: James Le Cuirot @ 2019-07-17 20:04 UTC (permalink / raw
  To: gentoo-commits

commit:     61497ddf045cb6f1d8986cd4d8d9040b886bd168
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  8 08:42:34 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 20:03:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61497ddf

games-misc/OilWar: Depend on acct-group/gamestat.

Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-misc/OilWar/OilWar-1.2.1-r2.ebuild | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/games-misc/OilWar/OilWar-1.2.1-r2.ebuild b/games-misc/OilWar/OilWar-1.2.1-r2.ebuild
index 4b1a9829d60..4e28b012ebf 100644
--- a/games-misc/OilWar/OilWar-1.2.1-r2.ebuild
+++ b/games-misc/OilWar/OilWar-1.2.1-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit eutils gnome2-utils user
+inherit eutils gnome2-utils
 
 DESCRIPTION="Evil army is attacking your country and tries to steal your oil"
 HOMEPAGE="http://linux.softpedia.com/get/GAMES-ENTERTAINMENT/RTS/OilWar-15354.shtml"
@@ -14,15 +14,12 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
 
-DEPEND="media-libs/libsdl[video]
+DEPEND="acct-group/gamestat
+	media-libs/libsdl[video]
 	media-libs/sdl-image[png]
 	media-libs/sdl-mixer"
 RDEPEND="${DEPEND}"
 
-pkg_setup(){
-	enewgroup gamestat 36
-}
-
 src_prepare() {
 	default
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-07-17 20:04 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-07-17 20:04 [gentoo-commits] repo/gentoo:master commit in: games-misc/OilWar/ James Le Cuirot
  -- strict thread matches above, loose matches on Subject: below --
2016-07-19  0:05 Austin English

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox